Loading...
Searching...
No Matches
U_HEADER_ONLY_NAMESPACE::USetElementIterator Class Reference

Iterator returned by USetElements. More...

`#include <uset.h>`

## Public Member Functions

| USetElementIterator (const USetElementIterator &other)=default
bool | operator== (const USetElementIterator &other) const
bool | operator!= (const USetElementIterator &other) const
std::u16string | operator* () const
USetElementIterator & | operator++ ()
| Pre-increment.
USetElementIterator | operator++ (int)
| Post-increment.

## Friends

class | USetElements

## Detailed Description

Iterator returned by USetElements.

Draft
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1744 of file uset.h.

## Constructor & Destructor Documentation

## USetElementIterator()

U_HEADER_ONLY_NAMESPACE::USetElementIterator::USetElementIterator | ( | const USetElementIterator & | other | ) |

default

Draft
  This API may be changed in the future versions and was introduced in ICU 77

References USetElementIterator().

Referenced by operator!=(), operator++(), operator++(), operator==(), and USetElementIterator().

## Member Function Documentation

## operator!=()

bool U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator!= | ( | const USetElementIterator & | other | ) | const

inline

Draft
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1759 of file uset.h.

References operator==(), and USetElementIterator().

## operator*()

std::u16string U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator* | ( |  | ) | const

inline

Draft
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1762 of file uset.h.

References U16_LEAD, U16_TRAIL, and uset_getString().

## operator++() [1/2]

USetElementIterator & U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator++ | ( |  | ) |

inline

Pre-increment.

Draft
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1781 of file uset.h.

References U_SENTINEL, U_SUCCESS, U_ZERO_ERROR, uset_getItem(), and USetElementIterator().

Referenced by operator++().

## operator++() [2/2]

USetElementIterator U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator++ | ( | int |  | ) |

inline

Post-increment.

Draft
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1806 of file uset.h.

References operator++(), and USetElementIterator().

## operator==()

bool U_HEADER_ONLY_NAMESPACE::USetElementIterator::operator== | ( | const USetElementIterator & | other | ) | const

inline

Draft
  This API may be changed in the future versions and was introduced in ICU 77

Definition at line 1750 of file uset.h.

References USetElementIterator().

Referenced by operator!=().

## Friends And Related Symbol Documentation

## USetElements

friend class USetElements

friend

Definition at line 1813 of file uset.h.

The documentation for this class was generated from the following file:

- common/unicode/uset.h